Bug Hunting Session
Bug 100195 - StartCenter keyboard navigation for the new Template Manager
Summary: StartCenter keyboard navigation for the new Template Manager
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Akshay Deep
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2016-06-02 17:16 UTC by V Stuart Foote
Modified: 2019-03-25 20:45 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2016-06-02 17:16:19 UTC
Akshay's work on the Template manager is moving along, but with current build of master seem to have some issues with keyboard navigation.

The keyboard navigation into and out of the Template manager will need additional work to obtain consistent behavior with the Recent Files thumbnail navigation.

The <F10> and <shift>+F10 should position between the main menu and the template backing panel of the thumbnail views in the template manager.

<F6> and <shift>+F6 should cycle between main menu, the vertical menu bar, and the active template backing panel/thumbnail views.

Once in the template manager backing panel, the 4 cursor actions should be able to reach all the thumbnails.  They don't now and are limited to 8 thumbnails between two rows.


=-ref-=
Version: 5.3.0.0.alpha0+
Build ID: cbf36dd473fdc9e8d8b78c9e9317836a7cbbc6c7
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-06-01_00:32:07
Locale: en-US (en_US)
Comment 1 Yousuf Philips (jay) (retired) 2016-06-03 13:08:29 UTC
Sounds great. Hope the functionality implemented in the start center doesnt negatively affect the template manager dialog.
Comment 2 Commit Notification 2016-06-03 14:38:43 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b7bf60536bfab26445c0165f50392c1258c4cda

tdf#100195 Enable Keyboard Navigation in Template Manager and Start Center

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-04 00:07:13 UTC
Akshay Deep committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=90e3e04841081b9c03ea54f1d5ca439a7a9ce1dd&h=libreoffice-5-2

tdf#100195 Enable Keyboard Navigation in Template Manager and Start Center

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Yousuf Philips (jay) (retired) 2016-06-04 15:25:25 UTC
I believe F10 and F6 are handled on the start center level and not something that was a problem with Akshay's code, but what was wrong was the arrow key navigation, which is now fixed with the patches.

Version: 5.2.0.0.beta1+
Build ID: 90e3e04841081b9c03ea54f1d5ca439a7a9ce1dd
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-2, Time: 2016-06-04_01:52:51
Locale: en-US (en_US.UTF-8)